language: ruby

rvm:
  - ruby-2.3.3
  - ruby-2.4.0
  - ruby-head

  - jruby-9.1.8.0
  - jruby-head

allow_failures:
    - rvm: ruby-head
    - rvm: jruby-head

env:
  global:
    - JRUBY_OPTS=--dev

before_install: gem install bundler

sudo: false

cache: bundler
